Bug 447740 - Review Request: zypper - easy to use command line package manager
Review Request: zypper - easy to use command line package manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On: 442714 447738
Blocks: 458254
  Show dependency treegraph
 
Reported: 2008-05-21 10:50 EDT by Lorenzo Villani
Modified: 2011-12-16 19:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-16 19:21:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Villani 2008-05-21 10:50:39 EDT
Spec URL: http://rpm.binaryhelix.org/SPECS/system/zypper.spec
SRPM URL: http://rpm.binaryhelix.org/SRPMS/zypper-0.11.3-1.fc9.src.rpm
Description:
zypper is an easy to use command line package manager using the software
package management library called libzypp. Zypper is able to manipulate
installation repositories, search for packages, install, remove, or update
packages and more. It can be used as a standalone application or
inside scripts.
Comment 1 Lorenzo Villani 2008-05-22 08:45:40 EDT
Required dependencies not yet in fedora: sat-solver and libzypp

https://bugzilla.redhat.com/show_bug.cgi?id=442714
https://bugzilla.redhat.com/show_bug.cgi?id=447738
Comment 2 Lorenzo Villani 2008-06-09 13:53:24 EDT
Spec URL: http://rpm.binaryhelix.org/SPECS/system/zypper.spec
SRPM URL: http://rpm.binaryhelix.org/SRPMS/zypper-0.12.0-1.fc9.src.rpm

* Mon Jun 09 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 0.12.0-1
- Version bump

Comment 3 Lorenzo Villani 2008-06-19 14:54:43 EDT
Spec URL: http://rpm.binaryhelix.org/SPECS/system/zypper.spec
SRPM URL: http://rpm.binaryhelix.org/SRPMS/zypper-0.12.0-2.fc9.src.rpm

* Thu Jun 19 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 0.12.0-2
- Using %%cmake to build
- Using %%find_lang

Comment 4 Lorenzo Villani 2008-07-05 08:44:21 EDT
Spec URL: http://rpm.binaryhelix.org/SPECS/system/zypper.spec
SRPM URL: http://rpm.binaryhelix.org/SRPMS/zypper-0.11.9-1.fc9.src.rpm

* Sat Jul  5 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 0.11.9-1
- Aligned to upstream stable version (this implies a downgrade but the package isn't
  in repositories yet, so...)
Comment 5 Lorenzo Villani 2008-07-05 09:59:57 EDT
Spec URL: http://rpm.binaryhelix.org/SPECS/system/zypper.spec
SRPM URL: http://rpm.binaryhelix.org/SRPMS/zypper-0.11.9-2.fc9.src.rpm

* Sat Jul  5 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 0.11.9-2
- Added sat-solver-static to BR
Comment 6 Lorenzo Villani 2008-07-28 12:45:38 EDT
NEW Spec URL: http://www.binaryhelix.net/zypper.spec
NEW SRPM URL: http://www.binaryhelix.net/zypper-0.11.9-2.fc9.src.rpm
Comment 7 Lorenzo Villani 2008-08-05 13:37:51 EDT
Spec URL: http://www.binaryhelix.net/zypper.spec
SRPM URL: http://www.binaryhelix.net/zypper-0.11.10-1.fc9.src.rpm

New upstream release
Comment 8 Lorenzo Villani 2008-08-07 11:08:23 EDT
SPEC URL: http://omploader.org/vbnAz/zypper.spec
SRPM URL: http://omploader.org/vbnA0/zypper-0.11.10-2.fc9.src.rpm

* Thu Aug  7 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 0.11.10-2
- Removed link to source tarball, it is not needed. Upstream distributes
  sat-solver, libzypp and zypper using a branched subversion tree, the
  tarball which comes with the SRPM is just an exported subversion checkout
Comment 9 Debarshi Ray 2008-11-11 12:57:32 EST
Waiting for progress in #447738 and #442714
Comment 10 Lorenzo Villani 2009-01-26 09:27:03 EST
Closing the request until upstream makes the necessary changes to libzypp to support RPM 4.6.
Comment 11 Lorenzo Villani 2009-12-16 12:48:04 EST
SPEC: http://gitorious.org/lvillani/specs/blobs/master/zypp/zypper/zypper.spec
SRPM: http://fedorapeople.org/~arbiter/zypper/

Notes:
- reopening: the whole ZYpp stack is now usable with rpm >= 4.6.0
- rpmlint:
[lvillani@enterprise SRPMS]$ rpmlint zypper-1.2.15-1.fc12.src.rpm ../RPMS/x86_64/zypper{,-debuginfo}-1.2.15-1.fc12.x86_64.rpm ../specs/zypp/zypper/zypper.spec 
zypper.x86_64: W: conffile-without-noreplace-flag /etc/bash_completion.d/zypper.sh
zypper-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/zypper-1.2.15/src/solve-commit.cc
zypper-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/zypper-1.2.15/src/update.cc
zypper-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/zypper-1.2.15/src/utils/pager.cc
zypper-debuginfo.x86_64: E: script-without-shebang /usr/src/debug/zypper-1.2.15/src/install.cc
3 packages and 1 specfiles checked; 4 errors, 1 warnings.
Comment 12 Rahul Sundaram 2010-05-22 15:55:47 EDT
Can't find the spec file on the list URL. Please update
Comment 13 Susi Lehtola 2011-12-16 19:21:58 EST
Closing since Lorenzo is no longer involved in Fedora.

Note You need to log in before you can comment on or make changes to this bug.